﻿// ***********************************************************************************
// SallySoundFX
// ***********************************************************************************
// Created by Sally Whitemane on VAM Hub
// https://www.patreon.com/sallyw
// Licensed under CC BY-SA - https://creativecommons.org/licenses/by-sa/4.0/

using UnityEngine;

namespace Sally
{
    public static class UI
    {
        public static readonly Color redWarningBackground = new Color(1.00f, 0.80f, 0.80f);
        public static readonly Color blueAutoBackground   = new Color(0.80f, 0.80f, 1.00f);
        public static readonly Color defaultBackground    = new Color(0.96f, 0.96f, 0.96f);
        public static readonly HSVColor white = HSVColorPicker.RGBToHSV(1f, 1f, 1f);
        public static readonly HSVColor black = HSVColorPicker.RGBToHSV(0f, 0f, 0f);

        /// <summary>
        /// Fix the initially wrong position for 'colorPicker.Selector' if Color is not 100% black or white.
        /// This seems to be a VaM bug.
        /// </summary>
        /// <param name="color"></param>
        public static void FixInitialColorPickerSelectorPosition(JSONStorableColor color)
        {
            if (color.val.H == white.H &&
                color.val.S == white.S &&
                color.val.V == white.V ||
                color.val.H == black.H &&
                color.val.S == black.S &&
                color.val.V == black.V)
            {
                // ignore white and black
                return;
            }
            Vector3 selectorPosition = color.colorPicker.Selector.rectTransform.position;
            selectorPosition.x = 280f;
            color.colorPicker.Selector.rectTransform.position = selectorPosition;
        }
    }
}
